﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;

namespace KeyDownInteractiveOverlayExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Map_Loaded(object sender, RoutedEventArgs e)
        {
            Map.MapUnit = GeographyUnit.DecimalDegree;
            Map.CurrentExtent = new RectangleShape(-133.2515625, 89.2484375, 126.9046875, -88.290625);

            MyInteractiveOverlay myInteractiveOverlay = new MyInteractiveOverlay();
            Map.InteractiveOverlays.Add(myInteractiveOverlay);
           
            Map.Focus();
            Map.Refresh();
        }
    }
}
