﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace KeyDownInteractiveOverlayExample
{
    public class MyInteractiveOverlay : InteractiveOverlay
    {
        protected override InteractiveResult KeyDownCore(KeyEventInteractionArguments interactionArguments)
        {
            MessageBox.Show("KeyDownCoreRaise");
            return base.KeyDownCore(interactionArguments);
        }

        protected override void OnMapKeyDown(MapKeyDownInteractiveOverlayEventArgs e)
        {
            MessageBox.Show("OnMapKeyDownRaise");
            base.OnMapKeyDown(e);
        }

        protected override InteractiveResult MouseClickCore(InteractionArguments interactionArguments)
        {
            MessageBox.Show("MouseClickCoreRaise");
            return base.MouseClickCore(interactionArguments);
        }
    }
}
